* {
    margin: 0;
    padding: 0;
    border: none;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
}

body {
    font-family: 'Press Start 2P', cursive;
    font-size: .8vw;
}

button {    
    font-family: 'Press Start 2P', cursive;
}

.game {
    display: flex;
    background: #111;
    height: 100vh;
    align-items: center;
    justify-content: center;
}

.black {
    position: fixed;
    width: 50vw;
    height: 50vh;    
    background: #111;
    z-index: 2;
    transition: 1s linear;
}

.black_part1 {
    top: 0;
}

.black_part2 {
    top:50vh;
}

.black_part1-start {
    top: -50vh;    
}

.black_part2-start {
    top: 100vh;    
}

.startText {
    position: absolute;
    text-align: center;
    width: 100%;    
    z-index: 3;
}

#difficulty {
    position: relative;
    font-family: 'Press Start 2P', cursive;    
    padding: 1vw 3vw;
    margin: 3vw 3vw 3vw 0;
}

select#difficulty option {
    font-size: .7em;   
}

#firstStart {
    position: relative;
    padding: 1.1vw 3.95vw;
    background: white;
}

h1 {
    color: white;
    margin: 2em;
}

h2 {
    margin: 1.5vw 0 .7vw;
    text-align: center;
}
 
.field {
    display: grid;
    grid-template-columns: repeat(50, 1vw);
}

.box {
    background: url(../images/field.jpg);
    background-size: 1vw;
    width: 1vw;
    height: .9vw;
}

.stone {    
    background: url(../images/stone.jpg);
    background-size: 1vw;
}

.ground {    
    background: url(../images/brick.jpg);
    background-size: .9vw;
}

.water {    
    background: url(../images/water.gif);
    background-size: 1.6vw;
}

.tree {    
    background: url(../images/green.gif);
    background-size: 1.8vw;
}

.flag {
    position: absolute;
    padding: .4vw 0 0;
    width: 4vw;
    height: 3vw;
}

.bullet, .gunfire, .explosion {
    position: absolute;    
    width: 2vw;
    margin: -0.5vw;
}

#me, .enemy {
    position: absolute;
    margin: -1vw 0 0 -1vw;
    width: 3vw;
    height: 3vw;
    z-index: 1;
}

.left {
    transform: rotate(270deg);
}

.right {
    transform: rotate(90deg);
}

.down {
    transform: rotate(180deg);
}

.hide {
    display: none !important;
}

.highscores, .now {
    position: absolute;
    margin-top: -13vw;
    color: white;
}

.highscores {
    left: 77vw;
    margin-top: -7vw;
}

.table {    
    display: grid;
    grid-template-columns: 1fr 5fr 2fr 2fr;
}

.now {
    right: 78vw;
}

span {
    font-size: .9em;
    display: inline-block;
    margin: .5vw .2vw;
}

.heart {
    width: 2vw;
    margin: 0 0 -0.3vw -0.3vw;
}

#namelabel {
    color: white;
    font-size: 1.5em;    
}

input[type="text"] {
    padding: 1vw;
    font-size: 1em;
    font-family: 'Press Start 2P', cursive;
}

.wrong {
    border: 2px solid red;
}

#error {
    font-size: .5em;
    color: red;
    margin-top: 1vw;
}

.yourscore {
    display: inline-block;
    color: white;
    font-size: 2em;
    margin-bottom: 2vw;
}

.orientation {
    display: none;
}

.controls {
    position: absolute;
    display: block;
    align-items: center;
    justify-content: center;
    left: 1.5vw;
    display: none;
}
    
.controls img {
    width: 8vw;
    left: 0;
    top: 15vw;
}

#up {
    margin-left: 7vw;
}

#down {
    margin-left: 7vw;
}

#right {
    margin-left: 5vw;
}

#ishot {
    position: absolute;
    display: none;
    align-self: center;
    justify-self: center;
    width: 15vw;
    right: 5vw;
}

@media only screen and (orientation: portrait) {    
    div {
        display: none !important;
    }

    .orientation {
        display: block;
        position: absolute;
        padding: 30vh 15vw;
        width: 70vw;
        height: 40vh;
        background-color: #111;
    }
}

@media only screen and (max-width: 1000px) {
    .controls {        
        display: block;
    }

    #ishot {
        display: block;
    }

    .highscores {
        display: none;
    }

    .now {
        display: none;
    }
}